spring:
    devtools:
        restart:
            enabled: false
        livereload:
            enabled: false
    datasource:
        type: com.zaxxer.hikari.HikariDataSource
        driverClassName: com.microsoft.sqlserver.jdbc.SQLServerDriver
#        url: jdbc:sqlserver://sdms-lsn-db1.mpm-motor.com:1433;database=sdms
        url: jdbc:sqlserver://10.10.104.115:1433;database=sdms-trial
        username: dmsuser
        password: dms
        hikari:
            maximum-pool-size: 100
            minimum-idle: 10
            data-source-properties:
                cachePrepStmts: true
                prepStmtCacheSize: 250
                prepStmtCacheSqlLimit: 2048
                useServerPrepStmts: true
    jpa:
        database-platform: org.hibernate.dialect.SQLServer2012Dialect
        database: SQL_SERVER
        show-sql: false
        properties:
            hibernate.id.new_generator_mappings: true
            hibernate.cache.use_second_level_cache: true
            hibernate.cache.use_query_cache: false
            hibernate.generate_statistics: false
            hibernate.cache.region.factory_class: com.hazelcast.hibernate.HazelcastCacheRegionFactory
            hibernate.cache.hazelcast.instance_name: mpm
            hibernate.cache.use_minimal_puts: true
            hibernate.cache.hazelcast.use_lite_member: true
    data:
        elasticsearch:
            cluster-name:
            cluster-nodes: 10.10.104.34:9300
    mail:
        host: localhost
        port: 25
        username:
        password:
    thymeleaf:
        cache: true
    http:
        multipart:
            max-file-size: 5120kb
            max-request-size: 5120kb
    activemq:
        broker-url: tcp://10.10.104.34:61616
        user: admin
        password: admin
        packages:
           trust-all: true
    activiti:
        history-level: none

liquibase:
    contexts: prod

server:
    port: 8082
    compression:
        enabled: true
        mime-types: text/html,text/xml,text/plain,text/css, application/javascript, application/json
        min-response-size: 1024

jhipster:
    http:
        version: V_1_1
        cache:
            timeToLiveInDays: 1461
    cache:
        hazelcast:
            time-to-live-seconds: 3600
            backup-count: 1
    security:
        authentication:
            jwt:
                secret: 2d08bcd153c603855b623557a7fd6eb0054ee34a
                token-validity-in-seconds: 86400
                token-validity-in-seconds-for-remember-me: 2592000
    mail:
        from: mpm@localhost
        base-url: http://my-server-url-to-change
    metrics:
        jmx.enabled: true
        graphite:
            enabled: false
            host: localhost
            port: 2003
            prefix: mpm
        prometheus:
            enabled: false
            endpoint: /prometheusMetrics
        logs:
            enabled: false
            report-frequency: 60
    logging:
        logstash:
            enabled: false
            host: localhost
            port: 5000
            queue-size: 512

application:
    tenantPath: c:\run\tenant
    hzConfig: hazelcast/hz-mpmtrial.xml



